﻿; This file holds all structs so we can include it in every
; file we need it.

Structure ScreenDimension
  Width.i
  Height.i
EndStructure

Prototype DRAW()
Prototype HANDLE_EVENTS()

Structure GameState
  DrawFun.DRAW
  HandleEventFun.HANDLE_EVENTS
EndStructure


Structure GameMenuItem
  Label.s
  TargetState.GameState
  Selected.b
EndStructure

Structure GameOptionItem
  List Options.s()
  CurrentPosition.i
  Selected.b
EndStructure

Structure GameMenu
  Title.s
  List Entries.GameMenuItem()
EndStructure
; IDE Options = PureBasic 4.51 (MacOS X - x86)
; CursorPosition = 32
; EnableUnicode
; EnableThread
; EnableXP
; EnableCompileCount = 1
; EnableBuildCount = 0